%define upstream_name    Catalyst-Authentication-Store-LDAP
%define upstream_version 1.017

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Summary:    LDAP authentication storage backend
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Plugin::Authentication) >= 0.100.30
BuildRequires: perl(Class::Accessor::Fast) >= 0.500.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Net::LDAP)
BuildRequires: perl(Net::LDAP::Server::Test) >= 0.70.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This plugin implements the the Catalyst::Authentication manpage v.10 API.
Read that documentation first if you are upgrading from a previous version
of this plugin.

This plugin uses 'Net::LDAP' to let your application authenticate against
an LDAP directory. It has a pretty high degree of flexibility, given the
wide variation of LDAP directories and schemas from one system to another.

It authenticates users in two steps:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/Catalyst


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.17.0-3.mga10
+ Revision: 2207223
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.17.0-2.mga9
+ Revision: 1814548
- Mageia 9 Mass Rebuild

* Thu May 27 2021 tv <tv> 1.17.0-1.mga9
+ Revision: 1728596
- Restore BR on inc::Module::Install
- update to 1.017

* Wed Feb 12 2020 umeabot <umeabot> 1.16.0-5.mga8
+ Revision: 1503515
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.16.0-4.mga7
+ Revision: 1282047
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.16.0-3.mga7
+ Revision: 1167882
- BR perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 1.16.0-2.mga6
+ Revision: 1022848
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.16.0-1.mga6
+ Revision: 1001657
- update to 1.016

* Thu Feb 18 2016 umeabot <umeabot> 1.15.0-2.mga6
+ Revision: 967244
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 1.15.0-1.mga6
+ Revision: 848548
- update to 1.015

* Wed Oct 15 2014 umeabot <umeabot> 1.14.0-4.mga5
+ Revision: 748942
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.14.0-3.mga5
+ Revision: 683761
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.14.0-2.mga4
+ Revision: 526774
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.14.0-1.mga4
+ Revision: 438839
- update to 1.014

* Sun Jan 13 2013 umeabot <umeabot> 1.12.0-2.mga3
+ Revision: 363868
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 1.12.0-1.mga1
+ Revision: 41238
- mageia rebuild
- imported package perl-Catalyst-Authentication-Store-LDAP


* Tue Oct 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.12.0-1mdv2011.0
+ Revision: 586765
- new version

* Thu Jul 15 2010 Jérôme Quelin <jquelin@mandriva.org> 1.11.0-1mdv2011.0
+ Revision: 553576
- update to 1.011

* Tue Apr 06 2010 Jérôme Quelin <jquelin@mandriva.org> 1.8.0-1mdv2010.1
+ Revision: 532138
- update to 1.008

* Mon Mar 22 2010 Jérôme Quelin <jquelin@mandriva.org> 1.7.0-1mdv2010.1
+ Revision: 526425
- update to 1.007

* Tue Dec 15 2009 Jérôme Quelin <jquelin@mandriva.org> 1.6.0-1mdv2010.1
+ Revision: 478787
- update to 1.006

* Mon Dec 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.100.500-1mdv2010.1
+ Revision: 474564
- spec cleanup

  + Buchan Milne <bgmilne@mandriva.org>
    - import perl-Catalyst-Authentication-Store-LDAP


* Sun Jul 19 2009 Buchan Milne <bgmilne@mandriva.org> 0.1005-1mdv
- initial mdv release, generated with cpan2dist

